# std::basic_ios<CharT,Traits>::basic_ios

From cppreference.com
< cpp‎ | io‎ | basic ios

protected: basic_ios(); | (1) |
public: explicit basic_ios( std::basic_streambuf<CharT,Traits>* sb ); | (2) |
| (3) |
private: basic_ios(const basic_ios&); |  | (until C++11)
public: basic_ios(const basic_ios& ) = delete; |  | (since C++11)

Constructs new `basic_ios` object.

1) Default constructor. The internal state is not initialized. init() must be called before the first use of the object or before destructor, otherwise the behavior is undefined.
2) Initializes the internal state by calling init(sb). The associated stream buffer is set to `sb`.
3) The copy constructor was declared `private:` and not defined until C++11 and is declared as deleted in C++11: I/O streams are not CopyConstructible.

### Parameters

sb | - | stream buffer to associate to

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ios/basic_ios&oldid=103194"